package examples.hamster;

import org.roboid.hamster.Hamster;
import org.roboid.runtime.Runner;

public class Example22_MultipleHandFollower {
	public static void main(String[] args) {

		final int NUM_ROBOTS = 4;
		Hamster[] hamsters = new Hamster[NUM_ROBOTS];

		for(int i = 0; i < NUM_ROBOTS; ++i) {
			hamsters[i] = new Hamster();
		}

		// wait until four robots are ready
		Runner.waitUntilReady();

		int proximity, leftSpeed, rightSpeed;
		for(int i = 0; i < 500; ++i) { // 10 seconds
			for(Hamster hamster : hamsters) {
				// left wheel
				proximity = hamster.leftProximity();
				if(proximity > 15) {
					leftSpeed = (40 - proximity) * 4;
				} else {
					leftSpeed = 0;
				}

				// right wheel
				proximity = hamster.rightProximity();
				if(proximity > 15) {
					rightSpeed = (40 - proximity) * 4;
				} else {
					rightSpeed = 0;
				}
				hamster.wheels(leftSpeed, rightSpeed);
			}
			Runner.wait(20); // 20 msec
		}

		// stop
		for(Hamster hamster : hamsters) {
			hamster.stop();
		}
	}
}
