package examples.hamster;

import org.roboid.hamster.Hamster;
import org.roboid.runtime.Executable;
import org.roboid.runtime.Runner;

public class Example23_Advanced_Sensor {
	public static void main(String[] args) {

		final Hamster hamster = new Hamster();

		// set a periodic (20 msec) callback
		Runner.setExecutable(new Executable() {
			@Override
			public void execute() {
				System.out.println("Signal Strength: " + hamster.signalStrength());
				System.out.println("Proximity: " + hamster.leftProximity() + ", " + hamster.rightProximity());
				System.out.println("Floor: " + hamster.leftFloor() + ", " + hamster.rightFloor());
				System.out.println("Acceleration: " + hamster.accelerationX() + ", " + hamster.accelerationY() + ", " + hamster.accelerationZ());
				System.out.println("Light: " + hamster.light());
				System.out.println("Temperature: " + hamster.temperature());
				System.out.println("Input: " + hamster.inputA() + ", " + hamster.inputB());
				System.out.println("");
			}
		});

		Runner.wait(10000); // 10 seconds
	}
}
