package examples.hamster;

import org.roboid.hamster.Hamster;
import org.roboid.runtime.Executable;
import org.roboid.runtime.Runner;

// This example requires a Hamster's extension kit
public class Example27_Advanced_Extension_Button {
	public static void main(String[] args) {

		final Hamster hamster = new Hamster();

		// set a port B to the digital input mode
		hamster.ioModeB(Hamster.IO_MODE_DIGITAL_INPUT);

		// set a periodic (20 msec) callback
		Runner.setExecutable(new Executable() {
			@Override
			public void execute() {
				if(hamster.inputB() == 0) {
					hamster.buzzer(1000);
				} else {
					hamster.buzzer(0);
				}
			}
		});

		Runner.wait(10000); // 10 seconds
	}
}
