package examples.hamster;

import org.roboid.hamster.Hamster;
import org.roboid.runtime.Executable;
import org.roboid.runtime.Runner;

// This example requires a Hamster's extension kit
public class Example28_Advanced_Extension_Potentiometer {
	public static void main(String[] args) {

		final Hamster hamster = new Hamster();

		// set a port A to the analog input mode
		hamster.ioModeA(Hamster.IO_MODE_ANALOG_INPUT);

		// set a periodic (20 msec) callback
		Runner.setExecutable(new Executable() {
			@Override
			public void execute() {
				int potentiometer = hamster.inputA();
				hamster.buzzer(potentiometer);
			}
		});

		Runner.wait(10000); // 10 seconds
	}
}
