package examples.hamster;

import org.roboid.hamster.Hamster;
import org.roboid.runtime.Executable;
import org.roboid.runtime.Runner;

public class Example29_Advanced_DualThereminSound {
	public static void main(String[] args) {

		final Hamster hamster1 = new Hamster();
		final Hamster hamster2 = new Hamster();

		// wait until two robots are ready
		Runner.waitUntilReady();

		// set a periodic (20 msec) callback
		Runner.setExecutable(new Executable() {
			private double pitch1, pitch2;

			@Override
			public void execute() {
				int proximity = hamster1.leftProximity();
				if(proximity < 10) proximity = 0;
				pitch1 = (pitch1 * 9 + proximity) / 10;
				hamster1.note((int)pitch1);

				proximity = hamster2.leftProximity();
				if(proximity < 10) proximity = 0;
				pitch2 = (pitch2 * 9 + proximity) / 10;
				hamster2.note((int)pitch2);
			}
		});

		Runner.wait(10000); // 10 seconds

		// clear notes
		hamster1.note(0);
		hamster2.note(0);
	}
}
