package examples.hamster;

import org.roboid.hamster.Hamster;
import org.roboid.runtime.Executable;
import org.roboid.runtime.Runner;

public class Example30_Advanced_MultipleHandFollower {
	public static void main(String[] args) {

		final int NUM_ROBOTS = 4;
		final Hamster[] hamsters = new Hamster[NUM_ROBOTS];

		for(int i = 0; i < NUM_ROBOTS; ++i) {
			hamsters[i] = new Hamster();
		}

		// wait until four robots are ready
		Runner.waitUntilReady();

		// set a periodic (20 msec) callback
		Runner.setExecutable(new Executable() {
			@Override
			public void execute() {
				for(Hamster hamster : hamsters) {
					// left wheel
					int proximity = hamster.leftProximity();
					if(proximity > 15) {
						hamster.leftWheel((40 - proximity) * 4);
					} else {
						hamster.leftWheel(0);
					}

					// right wheel
					proximity = hamster.rightProximity();
					if(proximity > 15) {
						hamster.rightWheel((40 - proximity) * 4);
					} else {
						hamster.rightWheel(0);
					}
				}
			}
		});

		Runner.wait(10000); // 10 seconds

		// stop
		for(Hamster hamster : hamsters) {
			hamster.stop();
		}
	}
}
